Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Interface HandshakeCompletedListener

All Superinterfaces:
  EventListener

public interface HandshakeCompletedListener
extends EventListener

This interface is implemented by any class which wants to receive notifications about the completion of an SSL protocol handshake on a given SSL connection.

When an SSL handshake completes, new security parameters will have been established. Those parameters always include the security keys used to protect messages. They may also include parameters associated with a new session such as authenticated peer identity and a new SSL cipher suite.

Since:
  1.4

Method Summary
`void` | `handshakeCompleted(HandshakeCompletedEvent event)` This method is invoked on registered objects when a SSL handshake is completed.

Method Detail

### handshakeCompleted

    public void handshakeCompleted(HandshakeCompletedEvent event)

  This method is invoked on registered objects when a SSL handshake is completed.

  Parameters:
    `event` - the event identifying when the SSL Handshake completed on a given SSL connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.